/***************************************************************************

	File: key.c

	Copyright (C) 2012 S.Suwa <www.suwa-koubou.jp>

***************************************************************************/

/** INCLUDES **************************************************************/
#include <p30f3012.h>
#include "typedef.h"
#include "pic_delay.h"

#include "key.h"

#define	KeyRaw	((~PORTB) & 0x7) 


/*--------------------------------------------------------------------------
	INT0 (Key push) interrupt
--------------------------------------------------------------------------*/
volatile unsigned char key_interrupt;

void __attribute__ ((__interrupt__, no_auto_psv)) _INT0Interrupt(void)
{
	key_interrupt = 1;		// set interrupt flag
	IFS0bits.INT0IF = 0;	// clear interrupt flag
}

/*--------------------------------------------------------------
	getkey()
--------------------------------------------------------------*/

int		getkey(void)
{
	int	key, now_key;

	if((now_key = KeyRaw) == KEY_NONE) return KEY_NONE;

	delay_ms(5);

	now_key = KeyRaw;

	while((key = KeyRaw) != KEY_NONE){
		if(key > now_key) now_key = key;
	}

	return now_key;
}


/*** end of key.c *********************************************************/
