/*****************************************************************
	rtc8564.h
*****************************************************************/

#ifndef	_RTC8564_
#define _RTC8564_

#define	tm_SEC		0
#define	tm_MIN		1
#define	tm_HOUR		2
#define	tm_DAY		3
#define	tm_WDAY		4
#define	tm_MONTH	5
#define	tm_YEAR		6

#define	alarm_if	0x08	// alarm interrupt flag bits
#define	timer_if	0x04	// interval timer interrupt flag bits


extern	volatile unsigned char rtc_interrupt;

// rtcc handling
extern	void	rtc8564_test(void);
extern	void	rtcInit(void);
extern	void	rtcCont(int sw);
extern	void	rtcWriteTime(unsigned char tm[]);
extern	void	rtcWriteAlarmTime(unsigned char tm[]);
extern	void	rtcReadTime(unsigned char tm[]);
extern	void	rtcReadNowTime(unsigned char tm[]);
extern	void	rtcReadAlarmTime(unsigned char tm[]);
extern	void	rtcSetIntervalTimer(unsigned char val);
extern	void	rtcClearIntervalTimer(void);
extern	void	rtcSetAlarm(void);
extern	void	rtcClearAlarm(void);
extern	unsigned char rtcGetIF(void);
extern	void	rtcClearIF(void);

// I2C handling
extern	void	i2cOpenStart(void);
extern	void	i2cReStart(void);
extern	void	i2cStopClose(void);
extern	int	i2cSend(unsigned char data);
extern	unsigned char	i2cRec(void);
extern	void	i2cAckSend(void);
extern	void	i2cNAckSend(void);

#endif

/*** end of rtc8564.h *******************************************/
